﻿using Microsoft.Extensions.DependencyInjection;
using Spider.Core;
using System;
using System.Threading.Tasks;

namespace Spider
{
    class Program
    {
        static async Task Main(string[] args)
        {
            try
            {
                var engine = SpiderServiceProvider
                    .GetServiceProvider()
                    .GetRequiredService<IDataCollectEngine>();

                await engine.StartAsync();
            }
            catch (Exception e)
            {
                Console.WriteLine(e);
            }

            Console.Read();
        }
    }
}
